Package ghidra.app.plugin.processors.sleigh.symbol

# Class OperandSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.SpecificSymbol
ghidra.app.plugin.processors.sleigh.symbol.OperandSymbol

public class OperandSymbol extends SpecificSymbol
Variable representing an operand to a specific Constructor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperandSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PatternExpression`
  `getDefiningExpression()`
  `TripleSymbol`
  `getDefiningSymbol()`
  `void`
  `getFixedHandle(FixedHandle hnd, ParserWalker walker)`
  `int`
  `getIndex()`
  `int`
  `getMinimumLength()`
  `int`
  `getOffsetBase()`
  `PatternExpression`
  `getPatternExpression()`
  `int`
  `getRelativeOffset()`
  `boolean`
  `isCodeAddress()`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage lang)`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol

  `resolve`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OperandSymbol

    public OperandSymbol()

- ## Method Details

  - ### getRelativeOffset

    public int getRelativeOffset()

  - ### getOffsetBase

    public int getOffsetBase()

  - ### getMinimumLength

    public int getMinimumLength()

  - ### getDefiningExpression

    public PatternExpression getDefiningExpression()

  - ### getDefiningSymbol

    public TripleSymbol getDefiningSymbol()

  - ### getIndex

    public int getIndex()

  - ### isCodeAddress

    public boolean isCodeAddress()

  - ### getPatternExpression

    public PatternExpression getPatternExpression()
    Specified by:
      `getPatternExpression` in class `TripleSymbol`

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hnd, ParserWalker walker)
    Specified by:
      `getFixedHandle` in class `TripleSymbol`

  - ### print

    public String print(ParserWalker walker) throws MemoryAccessException
    Specified by:
      `print` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list) throws MemoryAccessException
    Specified by:
      `printList` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage lang)
    Specified by:
      `restoreXml` in class `Symbol`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`